<?php
	class STR {
		static function get_array() {
			static $array = null;
			if (!$array)
				$array = json_decode(file_get_contents(__DIR__ . '/STR.json'), true);
			return $array;
		}
		
		static function text($key) {
			return @self::get_array()[LANG][$key] ?: $key;
		}
		
		static function html($key) {
			return htmlspecialchars(self::text($key));
		}
		
		static function get_langs() {
			return array_keys(self::get_array());
		}
	}
?>
