<?php
	function fcautoload($class) {
		foreach (glob('./app/{model,vue,util}/' . $class . '.php', GLOB_BRACE) as $file)
			include $file;
	}
	spl_autoload_register('fcautoload');
	
	@list($lang, $page, $subpage, $subsubpage) = explode('/', substr(@$_SERVER['PATH_INFO'], 1));
	define('LANG', $lang ?: 'En');
	define('PAGE', $page ?: 'Home');
	define('SUBPAGE', $subpage);
	define('SUBSUBPAGE', $subsubpage);
	
	header('Content-Type: text/html; charset=UTF-8');
	
	session_set_save_handler(new MdlSessionHandler(), false);
	session_start(array('use_strict_mode' => '1',
						'gc_probability' => '100',
						'gc_divisor' => '100'));
	
	if (isset($_POST['_logout'])) {
		session_destroy();
		HTTP::Reload();
	}
	define('USER', @$_SESSION['username']);
	define('USERID', @$_SESSION['uid']);
	define('USERNAME', @$_SESSION['fullname']);
	if (!USER)
		die((new Vue401())->handle());
	
	session_write_close();
	
	$class = 'Vue' . PAGE;
	if (!class_exists($class))
		$class = 'Vue404';
	(new $class())->handle();
?>
